%define	major 0
%define gir_major 1.0
%define libname %mklibname gsystem %{major}
%define gir_name %mklibname gsystem-gir %{gir_major}
%define develname %mklibname -d gsystem

Name:		libgsystem
Version:	2015.2
Release:	%mkrel 3
Summary:	GIO-based library for use by operating system components
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/LibGSystem
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	attr-devel
BuildRequires:	autoconf
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(libcap)

%description
LibGSystem is a GIO-based library, targeted primarily
for use by operating system components. It has a few goals:

- Provide macros for the GCC attribute(cleanup) that work
with GLib data types. Using these can dramatically simplify
local memory management inside functions.
- Prototype and test APIs that will eventually be in GLib.
Currently these include "GSSubprocess" for launching child
processes, and some GFile helpers.
- Provide Linux-specific APIs in a nicer GLib fashion,
such as O_NOATIME.

LibGSystem is a GIO-based library, targeted primarily
for use by operating system components.

%package -n %{libname}
Summary:	GIO-based library for use by operating system components
Group:		System/Libraries

%description -n %{libname}
LibGSystem is a GIO-based library, targeted primarily
for use by operating system components. It has a few goals:

- Provide macros for the GCC attribute(cleanup) that work
with GLib data types. Using these can dramatically simplify
local memory management inside functions.
- Prototype and test APIs that will eventually be in GLib.
Currently these include "GSSubprocess" for launching child
processes, and some GFile helpers.
- Provide Linux-specific APIs in a nicer GLib fashion,
such as O_NOATIME.

LibGSystem is a GIO-based library, targeted primarily
for use by operating system components.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
%configure2_5x --disable-static
%make

%install
%make_install
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-*/*-%{gir_major}.gir

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib


%changelog
* Tue Jun 07 2016 tv <tv> 2015.2-3.mga6
+ Revision: 1020650
- adjust BRs for latest systemd

* Thu Feb 11 2016 umeabot <umeabot> 2015.2-2.mga6
+ Revision: 955588
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 ovitters <ovitters> 2015.2-1.mga6
+ Revision: 887858
- new version 2015.2

* Mon Jun 29 2015 wally <wally> 2014.1-5.mga6
+ Revision: 847544
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 2014.1-4.mga5
+ Revision: 742764
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 2014.1-3.mga5
+ Revision: 724914
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2014.1-2.mga5
+ Revision: 681512
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 dams <dams> 2014.1-1.mga5
+ Revision: 603441
- imported package libgsystem

